var changed_bits = 0;
var changed_mode = 0;
var parking_key = s_vis_parking_key;  // Waarde toegekend in model_res_deel.inc

$(document).ready(function () {
    setTimeout("init_res_deel()", 100);
  });

function init_res_deel()
{
    $("#res_discipline_key").change(function() {change_res_discipline_key(); });
    $("#_beschikbaar").click(function() {SelectBits(); });


    var disc_key = $("#res_discipline_key").val();
    if (!disc_key || disc_key != parking_key )
    {
        $("#_beschikbaar").parent().parent().hide();
    }
}

function change_res_discipline_key()
{
    var disc_key = $("#res_discipline_key").val();
    if (disc_key == parking_key)
    {
        $("#_beschikbaar").parent().parent().show();
    }
    else
    {
        $("#_beschikbaar").parent().parent().hide();
    }
    changed_mode = 1;
}

function SelectBits()
{
    var proturl = "../ins/ins_bitsform.asp"
                + "?eenheid=5"
                + "&bits=" + $("#res_deel_beschikbaar_bits").val();
    parent.FcltMgr.openModalDetail(proturl, "Select moment",
                { callback: function (data)
                        { if (data.eenheid >= 0)
                          {
                             $("#res_deel_beschikbaar_bits").val(data.bits);
                             changed_bits = 1;
                          }
                        }
                } );
}

function pre_submit()
{
    var ch_mode = (changed_mode == 1);
    var ch_bits = (changed_bits == 1);
    var disc_key = $("#res_discipline_key").val();
    if (disc_key && disc_key == parking_key)
    {
        if (ch_mode && !ch_bits)
        {
          FcltMgr.alert(L("res_deel_select"));
          return false;
        }
    }
    else // is geen parkeerplaats
    {
        $("#res_deel_beschikbaar_bits").val(0);
    }
    return true;
}
